Subject: bug#22828: 25.1.50; Mark symlinks whose target matches regexp

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Feb 2016 13:18:18 +1100

Tino Calancha <[email-masked]> writes:

>> Use dired-move-to-end-of-filename to find the proper place.
> I see, this way we forget about the '@ -> ' or ' -> ' (or any other?).
>
> Do you think is ok that fn contains such ' -> ' thing?
> I would prefer if fn doesn't contain that.
> So, the question is:
> do we have a portable way to get the target of one link?
> We may introduce something like:
> dired-symlink-target (if doesn't exist)

I thin kyou should just call `(dired-get-filename nil t)' on each line
to get the file names, and then call `file-truename' to get the name of
the target.  Inspecting the text in the buffer with regexps is bound to
be fragile.

But I'm still not sure this is a function that would be generally
useful.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no